# Libraries

For this project, we use the libraries below:

## React

Library to create user interfaces.
Design simple views for each state in your application, and React will efficiently update and render just the right components when your data changes.

Build encapsulated components that manage their own state, then compose them to make complex UI.

Since component logic is written in JavaScript instead of templates, you can easily pass rich data through your app and keep state out of the DOM

## Axios

HTTP client library

It allows to send HTTP request and manage the responses.

## Lodash

JavaScript utility library

Lodash modular method are great for:

- Iterating arrays, objects, & strings
- Manipulating & testing values
- Creating composite functions

## Jest

Testing library

It allows to evaluate functionalities of an app to ensure that the product is defect-free in order to produce the quality product.

## Sass

CSS Preprocessor

It allows us to easily manage large CSS files and split across different files.
It allows us to create variables, nested rules, mixins, functions, and do mathematical calculations.

## Chi

Package for Go that implements a request router and dispatcher for matching incoming requests to their respective handler.

It allows us to easily create and manage routes/APIs

## Gorm

ORM for Go

It allows us to easily communicate between the backend and a relational database
