# Aggregator usage

The service will run each day randomly before 7am, as defined in the manifest:

```json
"aggregatorUsageEvents": {
    "type": "node",
    "file": "services/aggregatorUsageEvents/ecolyo.js",
    "trigger": "@daily before 7am"
}
```

## Main responsibilities of the service

The service is responsible of :

1. Collecting all new events from the `com.grandlyon.ecolyo.usageevents`
2. Aggregated them to indicators
3. Send indicators to DACC with the remote doctype

More details on the [DACC page](/docs/ecolyo/Functionalities/dacc.md)
