# Monthly report notification

This service will run the 3rd of each month at 10.00 am, as defined in the manifest:

```json
"monthlyReportNotification": {
  "type": "node",
  "file": "services/monthlyReportNotification/ecolyo.js",
  "trigger": "@cron 0 0 10 3 * *"
}
```

## Main responsibilities of the service

The service is responsible of sending a mail to user to warn him about the availability of a new information in the Analyse.

Main steps are the following:

- Check the "sendReportNotification" attribute in the com.grandlyon.ecolyo.profile doctype. If true, service will continue, else it will stop.
- Fetches metadata to customize the mail (Public name, instance url).
- Build the mail.
- Send the mail.

## Sending mail

[Sendmail worker docs](https://docs.cozy.io/en/cozy-stack/workers/#sendmail-worker)

:::info Send mail in local
In local you can use the mail hog tools to see the mail sent by the stack using http://cozy.tools:8025/
:::
